SDL Library Documentation
Prev |  | Next

# SDL_GetMouseState

## Name

SDL_GetMouseState -- Retrieve the current state of the mouse

## Synopsis

    #include "SDL.h"

``Uint8 SDL_GetMouseState`(int *x, int *y);`

## Description

The current button state is returned as a button bitmask, which can be tested using the `SDL_BUTTON(X)` macros, and `x` and `y` are set to the current mouse cursor position. You can pass `NULL` for either `x` or `y`.

## Example

    SDL_PumpEvents();
    if(SDL_GetMouseState(NULL, NULL)&SDL_BUTTON(1))
      printf("Mouse Button 1(left) is pressed.\n");

## See Also

`SDL_GetRelativeMouseState`, `SDL_PumpEvents`

Prev | Home | Next
SDL_EnableKeyRepeat | Up | SDL_GetRelativeMouseState